Bug 257181 - Review Request: komparator - kompare/sync files
Review Request: komparator - kompare/sync files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-27 13:20 EDT by Neal Becker
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 07:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-08-27 13:20:50 EDT
Spec URL: https://nbecker.dyndns.org/RPM/komparator.spec
SRPM URL: https://nbecker.dyndns.org/RPM/komparator-0.6-1.fc7.src.rpm
Description: Kompare and merge two folders.
They will be searched for duplicate files and empty folders.
Comment 1 Chitlesh GOORAH 2007-08-27 14:25:54 EDT
I'll take the review.
Comment 2 Chitlesh GOORAH 2007-08-27 14:48:34 EDT
#001: rpmlint issues
chitlesh(SPECS)[1]$rpmlint
/home/chitlesh/rpmbuild/RPMS/i386/komparator-0.6-1.fc7.i386.rpm
W: komparator dangling-relative-symlink /usr/share/doc/HTML/en/komparator/common
../common
W: komparator summary-ended-with-dot Kompare and merge two folders.
E: komparator no-changelogname-tag
W: komparator invalid-license GPL

a) dangling-relative-symlink
this can be ignored

b) summary-ended-with-dot
 remove the "." at the end of 
Summary:        Kompare and merge two folders.

c) no-changelogname-tag
Use the format :
http://fedoraproject.org/wiki/PackagingDrafts/Changelog

d) invalid-license GPL
in accordance to http://fedoraproject.org/wiki/Licensing, the license should be
GPLv2

#002:  invalid Desktop file when built for rawhide
+ popd
~/build/BUILD/komparator-0.6
+ mkdir -p /var/tmp/komparator-0.6-1.fc8-root-kojibuilder/usr/share/applications
+ desktop-file-install --vendor fedora --dir
/var/tmp/komparator-0.6-1.fc8-root-kojibuilder/usr/share/applications
--add-category Development --add-category X-Fedora --delete-original
/var/tmp/komparator-0.6-1.fc8-root-kojibuilder/usr/share/applnk/Utilities/komparator.desktop
/var/tmp/komparator-0.6-1.fc8-root-kojibuilder/usr/share/applications/fedora-komparator.desktop:
error: value "komparator %u %u" for key "Exec" in group "Desktop Entry" may
contain at most one
"-7670078101866630651717873087102748035497564288251167604132490569112640036869789081810181048277000760644432835593864709837114785281552514193246661663024168431575453304593947146415735068891226057192084963021678008061970004877307024271847785645658180104637099495058473739470073431290845100014481512884795867136.000000",
"4159892954", "0.000000" or "%U" field code
desktop-file-install created an invalid desktop file!
error: Bad exit status from /var/tmp/rpm-tmp.68670 (%install)

#003: build requires
kdebase-devel already requires kdelibs-devel.
Remove kdelibs-devel from the BuildRequires:

#004 Desktop file
a)    --add-category X-Fedora \ is not longer needed
b)    --add-category Development \ will add a duplicate menu entry on kmenu.
either use the catogory Utility or Development

#005: useless directory creation
You can remove 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
from the spec as desktop-file-creation does create the directory by itself.

#006 disabling rpath
add the following after the %configure macro
# disabling rpath
sed -i 's|^hardcode_libdir_flag_spec="\\${wl}--rpath
\\${wl}\\$libdir"|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
Comment 3 Neal Becker 2007-08-28 06:48:23 EDT
#002: I don't know what to do with this one

#006: Is this needed?  I don't get any rpath complaint - and it was configured 
with --disable-rpath.

Please review https://nbecker.dyndns.org/RPM/komparator-0.6-2.fc7.src.rpm
Comment 4 Chitlesh GOORAH 2007-08-28 08:07:06 EDT
(In reply to comment #3)
> #002: I don't know what to do with this one

Add 
%{__sed} -i "s|\%u \%u|\%u|" src/%{name}.desktop
after
%setup -q

> #006: Is this needed?  I don't get any rpath complaint - and it was 
configured 
> with --disable-rpath.

no it's not needed. Forget it.

> Please review https://nbecker.dyndns.org/RPM/komparator-0.6-2.fc7.src.rpm

Next time do post the SPEC file as well together with the SRPM

Fix #002 as mentioned above, I'll approve it.
Comment 6 Chitlesh GOORAH 2007-08-28 11:27:43 EDT
===========================================
The package komparator is approved by ME .
===========================================
Comment 7 Neal Becker 2007-08-28 15:34:06 EDT
New Package CVS Request
=======================

Package Name: komparator
Short Description: kompare/sync files
Owners: nbecker
Branches: devel F-7
InitialCC: 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-08-28 21:08:53 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.